;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;          Exemple of Levels for TurboBreakOut v1.80 and perhaps >           ;
;                                                                            ;
;                       Thanks To Patrick Pelissier  :)                      ;
;              For String Compilator And External Levels Help !              ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Don't Change That !!!                                         ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                                                                ;  Ici, rien  changer
_nostub:                                                        ;
  xdef      _nostub                                             ;
_ti89                                                           ;
  xdef      _ti89                                               ;
_ti92plus                                                       ;
  xdef      _ti92plus                                           ;
                                                                ;
                                                                ;
  dc.l 'TBO '         ; Don't change that !   (Levels format)   ;  Ne surtout pas changer
  dc.l '1.80'         ;                                         ;
                                                                ;  C'est la signature des
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  niveaux pour que TBO68k
                                                                ;  les reconnaisse



;  NE PAS OUBLIER DE METTRE A JOUR LE NOMBRE DE NIVEAUX

  dc.w 1    ; Ici, tu mets le nombre de niveaux


;       |                                      |
;       |                                      |
;       |                                      |
;       V                                      V
;       1        10        20        30        40
;       1234567890123456789012345678901234567890
  dc.b "The TBO68k exemple world by ...         ",0    ; 40 caracteres, pas un de plus, pas un de moins
    ; c'est le commentaire du niveau, mets celui que tu veux, mais il doit contenir exactement 40 caracteres
    ; c'est pour ca que j'ai mis des numrots au dessus, c'est pour mieux se reprer

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;  Ce qui suit, c'est les sprites, c'est a dire les graphismes               ;
;  ils ne doivent pas dpasser 10 de large et 7 de haut                      ;
;  pour etre clair, j'ai mis des '1' partout, et tu ne dois pas dpasser     ;
;  les '1', enfin sortir de cette zone. les graphismes, c'est du binaire     ;
;  donc des '1' et des '0' --> 1=pixel allum, 0=pixel teint                ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;                    ;
; The BackGround GFX ;
;                    ;
;;;;;;;;;;;;;;;;;;;;;;   Il y a un plan clair, et un plus fonc
;;;;;;;;;;;;;;;;;;;;;;   On superpose les deux, et on peut ainsi avoir 4 couleurs diffrentes
;;;;;;;;;;;;;;;;;;;;;;   C'est pour ca qu'il y a 2 graphismes par bloc

; BackG1:
;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %0000000000000000 ; fonce
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000

;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %1111011111000000 ; clair
 dc.w %1111111101000000
 dc.w %0111110111000000
 dc.w %1111111110000000
 dc.w %1101111111000000
 dc.w %1111101111000000
 dc.w %1011111101000000


;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;   Voila un exemple de degrade
;;;;;;;;;;;;;;;;;;;;;;   pour comprendre comment marchent
;                    ;   les nuances de gris
; The standard brick ;    
;                    ;   First GFX
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;

;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %1111000001000000 ; fonce
 dc.w %1111000001000000
 dc.w %1111000001000000
 dc.w %1111000001000000
 dc.w %1111000001000000
 dc.w %1111000001000000
 dc.w %1111000001000000

; Brick1:
;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %1100110010000000 ; clair
 dc.w %1100110010000000
 dc.w %1100110010000000
 dc.w %1100110010000000
 dc.w %1100110010000000
 dc.w %1100110010000000
 dc.w %1100110010000000

;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;                    ;
; The armoured brick ;
;                    ;
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;

; Blinde1:
;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %1111111111000000 ; fonce
 dc.w %1111111111000000
 dc.w %1111111111000000
 dc.w %1111111111000000
 dc.w %1111111111000000
 dc.w %1111111111000000
 dc.w %1111111111000000

;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %0000000000000000 ; clair
 dc.w %0111111111000000
 dc.w %0111111111000000
 dc.w %0111111111000000
 dc.w %0111111111000000
 dc.w %0111111111000000
 dc.w %0111111111000000


;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;                    ;
; The standard brick ;   Second GFX
;                    ;
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;

; Brick2:
;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %0000000000000000 ; fonce
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0010101010000000
 dc.w %1111111111000000
 dc.w %1101010101000000
 dc.w %0111111110000000

;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %1111111111000000 ; clair
 dc.w %1101010101000000
 dc.w %1010101011000000
 dc.w %1101010101000000
 dc.w %0010101010000000
 dc.w %0101010100000000
 dc.w %1000000001000000

;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;
;                ;
; The hard brick ;
;                ;
;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;

; Brick3
;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %0111111110000000 ; fonce
 dc.w %1000101111000000
 dc.w %1001011111000000
 dc.w %1010111111000000
 dc.w %1101111111000000
 dc.w %1011111111000000
 dc.w %0111111110000000

;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %1000000001000000 ; clair
 dc.w %0111010011000000
 dc.w %0110100101000000
 dc.w %0101001011000000
 dc.w %0010010111000000
 dc.w %0100101111000000
 dc.w %1111111111000000


;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;
;                     ;
; The very hard brick ;
;                     ;
;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;

; Brick4:
;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %0111111110000000 ; fonce
 dc.w %1011111111000000
 dc.w %1111111111000000
 dc.w %1111111111000000
 dc.w %1111111111000000
 dc.w %1111111111000000
 dc.w %0111111110000000

;      |        |                                ;
;      |        | Limites a ne pas dpasser      ;
;      |        |                                ;
 dc.w %1111111111000000 ; clair
 dc.w %1100101111000000
 dc.w %1001011111000000
 dc.w %1010111111000000
 dc.w %1101111111000000
 dc.w %1011111111000000
 dc.w %1111111111000000

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;                              Here Are The Levels                           ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                  ;
; Levels Format :                  ;
;   0 = Empty                      ; rien
;   1 = Standard brick, first GFX  ; brique standard graphisme 1
;   2 = Armoured brick             ; brique blindee
;   3 = Standard brick, second GFX ; brique standard graphisme 2
;   4 = Hard brick                 ; brique dure
;   5 = Very hard brick            ; brique tres dure
;                                  ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;            JUST CHANGE HERE TO BUILD YOUR OWN LEVELS
;
;
;
;              I       I       I       I
;              I       I       I       I
;             \I/     \I/     \I/     \I/
;              v       v       v       v

              dc.b 0,0,1,1,2,2,3,3,4,4,5  ;;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5    ;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5    ;;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5    ;;;;;; Level 1
              dc.b 0,0,1,1,2,2,3,3,4,4,5    ;;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5    ;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5  ;;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5  ;;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5  ;;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5  ;;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5  ;;;
              dc.b 0,0,1,1,2,2,3,3,4,4,5  ;;;

 end      ; a ne surtout pas oublier ou enlever
